Organisation (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.extensions.example

## Interface Organisation

- All Superinterfaces:
    Cloneable, Contributor, DescriptiveObject, InterchangeObject, MediaEntity, MetadataObject
  All Known Implementing Classes:
    OrganisationImpl

      public interface Organisation
      extends MediaEntity, Cloneable, Contributor

  Organisation that makes or contributes a resource.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Organisation` | `clone()` Create a cloned copy of this organisation.
    `long` | `getCompanyNo()` Returns the registered company number for the organisation.
    `Person` | `getContact()` Returns the contact person at the organisation responsible for the contributed resource.
    `void` | `setCompanyNo(long companyNo)` Sets the registered company number for the organisation.
    `void` | `setContact(Person contact)` Sets the contact person at the organisation responsible for the contributed resource.

    - ### Methods inherited from interface tv.amwa.maj.extensions.example.Contributor

      `getName, setName`

    - ### Methods inherited from interface tv.amwa.maj.model.DescriptiveObject

      `getLinkedDescriptiveObjectPluginID, setLinkedDescriptiveObjectPluginID`

    - ### Methods inherited from interface tv.amwa.maj.model.InterchangeObject

      `addApplicationPlugin, clearApplicationPlugins, containsApplicationPlugin, containsApplicationPlugin, countApplicationPlugins, deepEquals, disableGenerationTracking, enableGenerationTracking, equals, getApplicationPlugins, getGeneration, getLinkedGenerationID, getObjectClass, isGenerationTracked, removeApplicationPlugin, removeApplicationPlugin, setLinkedGenerationID, setObjectClass, toString`

    - ### Methods inherited from interface tv.amwa.maj.industry.MediaEntity

      `getPersistentID, setPersistentIndex`

- - ### Method Detail

    - #### getCompanyNo

          @UInt64
          long getCompanyNo()

      Returns the registered company number for the organisation.

      Returns:
        Registered company number for the organisation.

    - #### setCompanyNo

          void setCompanyNo(@UInt64
                            long companyNo)
                     throws IllegalArgumentException

      Sets the registered company number for the organisation.

      Parameters:
        `companyNo` - Registered company number for the organisation.
      Throws:
        `IllegalArgumentException` - Cannot set the company no property with the given value.

    - #### getContact

          Person getContact()
                     throws PropertyNotPresentException

      Returns the contact person at the organisation responsible for the contributed resource.

      This is an optional property.

      Returns:
        Contact person at the organisation responsible for the contributed resource.
      Throws:
        `PropertyNotPresentException` - The optional contact property is not present for this organisation.

    - #### setContact

          void setContact(Person contact)

      Sets the contact person at the organisation responsible for the contributed resource.

      Set this optional property to `null` to omit it.

      Parameters:
        `contact` - Contact person at the organisation responsible for the contributed resource.

    - #### clone

          Organisation clone()

      Create a cloned copy of this organisation.

      Specified by:
        `clone` in interface `Contributor`
      Specified by:
        `clone` in interface `DescriptiveObject`
      Specified by:
        `clone` in interface `InterchangeObject`
      Specified by:
        `clone` in interface `MediaEntity`
      Returns:
        Cloned copy of this organisation.

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.